#include <AfxWin.h>
#include <AfxExt.h>
#include <ddraw.h>
#include <d3d.h>
#include <d3drm.h>
#include <d3drmwin.h>
#include "ShadowApp.h"
#include "ShadowWin.h"
#include "resource.h"


BEGIN_MESSAGE_MAP(ShadowApp, RMApp)
	//{{AFX_MSG_MAP(ShadowApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

ShadowApp theapp;

BOOL ShadowApp::InitInstance()
{
#ifdef _DEBUG
	afxTraceEnabled=FALSE;
#endif
	ShadowWin* win=new ShadowWin;
	if (!win->Create("Shadow",IDI_ICON,IDR_MAINMENU))
		return FALSE;
	win->SetColorModel(D3DCOLOR_RGB);
	m_pMainWnd=win;
	return RMApp::InitInstance();
}
